| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Variables
DC1304A_B.ino File Reference
Analog-to-Digital Converters (ADC) » LTC6603: Dual Matched, High Frequency Bandpass/Lowpass Filters

Linear Technology DC1304A-B Demonstration Board. More...

## Detailed Description

Linear Technology DC1304A-B Demonstration Board.

LTC6603: Dual Matched, High Frequency Bandpass/Lowpass Filters

    NOTES
      Setup:
        Set the terminal baud rate to 115200 and select the newline terminator.
        Equipment required is a precision voltage source and a precision
        voltmeter. No external power supply is required. Ensure all jumpers on
        the demo board are installed in their default positions from the
        factory.

    USER INPUT DATA FORMAT:
     decimal : 1024
     hex     : 0x400
     octal   : 02000  (leading 0 "zero")
     binary  : B10000000000
     float   : 1024.0

http://www.analog.com/en/products/amplifiers/adc-drivers/fully-differential-amplifiers/ltc6603.html

http://www.analog.com/en/design-center/evaluation-hardware-and-software/evaluation-boards-kits/dc1304a-b.html

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

The views and conclusions contained in the software and documentation are those of the authors and should not be interpreted as representing official policies, either expressed or implied, of Linear Technology Corp.

The Linear Technology Linduino is not affiliated with the official Arduino team. However, the Linduino is only possible because of the Arduino team's commitment to the open-source community. Please, visit http://www.arduino.cc and http://store.arduino.cc , and consider a purchase that will help fund their ongoing work.

Definition in file DC1304A_B.ino.

Go to the source code of this file.

## Functions
static void | print_title ()
| Prints the title block when program first starts. More...
static void | print_prompt ()
| Prints main menu. More...
static void | print_user_command (uint8_t menu)
static void | menu_1_filter_settings ()
| Set filter settings. More...
static void | menu_2_set_gpo ()
static void | menu_3_shutdown ()
static void | menu_4_poweron ()
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Repeats Linduino loop. More...
static void | calculate_FreqLow (float freq)

## Variables
static uint8_t | spi_out
static uint8_t | control_byte
static uint8_t | filter_gain_settings = LTC6603_GAIN_0dB
static uint8_t | filter_lp_settings = LTC6603_LPF0
static uint8_t | filter_noFunc_settings = LTC6603_NOFUNC0
static uint8_t | gpio_settings = LTC6603_GPO_LOW
static uint8_t | shdn_settings = LTC6603_SHDN
static float | freq_settings = LTC6603_FREQ_MIN

## Function Documentation

## ◆ calculate_FreqLow()

static void calculate_FreqLow | ( | float | freq | ) |
| static

Definition at line 345 of file DC1304A_B.ino.

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Repeats Linduino loop.

Definition at line 121 of file DC1304A_B.ino.

## ◆ menu_1_filter_settings()

static void menu_1_filter_settings | ( |  | ) |
| static

Set filter settings.

Returns
  void

Definition at line 156 of file DC1304A_B.ino.

## ◆ menu_2_set_gpo()

static void menu_2_set_gpo | ( |  | ) |
| static

Definition at line 262 of file DC1304A_B.ino.

## ◆ menu_3_shutdown()

static void menu_3_shutdown | ( |  | ) |
| static

Definition at line 299 of file DC1304A_B.ino.

## ◆ menu_4_poweron()

static void menu_4_poweron | ( |  | ) |
| static

Definition at line 309 of file DC1304A_B.ino.

## ◆ print_prompt()

static void print_prompt | ( |  | ) |
| static

Prints main menu.

Definition at line 334 of file DC1304A_B.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

Prints the title block when program first starts.

Definition at line 321 of file DC1304A_B.ino.

## ◆ print_user_command()

static void print_user_command | ( | uint8_t | menu | ) |
| static

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Definition at line 110 of file DC1304A_B.ino.

## Variable Documentation

## ◆ control_byte

uint8_t control_byte
| static

Definition at line 101 of file DC1304A_B.ino.

## ◆ filter_gain_settings

uint8_t filter_gain_settings = LTC6603_GAIN_0dB
| static

Definition at line 102 of file DC1304A_B.ino.

## ◆ filter_lp_settings

uint8_t filter_lp_settings = LTC6603_LPF0
| static

Definition at line 103 of file DC1304A_B.ino.

## ◆ filter_noFunc_settings

uint8_t filter_noFunc_settings = LTC6603_NOFUNC0
| static

Definition at line 104 of file DC1304A_B.ino.

## ◆ freq_settings

float freq_settings = LTC6603_FREQ_MIN
| static

Definition at line 107 of file DC1304A_B.ino.

## ◆ gpio_settings

uint8_t gpio_settings = LTC6603_GPO_LOW
| static

Definition at line 105 of file DC1304A_B.ino.

## ◆ shdn_settings

uint8_t shdn_settings = LTC6603_SHDN
| static

Definition at line 106 of file DC1304A_B.ino.

## ◆ spi_out

uint8_t spi_out
| static

Definition at line 100 of file DC1304A_B.ino.